Summary: A Tubing and Extrusion Library for OpenGL
Name: OpenGL-gle
Version: 3.1.0
Release: 1
License: GPLv2
Group: System Environment/Libraries
URL: http://www.linas.org/gle/
Source: http://www.linas.org/gle/pub/gle-%{version}.tar.gz

BuildRequires: mesa-libGL-devel mesa-libGLU-devel freeglut-devel
BuildRequires: libXt-devel libXmu-devel libXi-devel 

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package devel
Requires: mesa-libGL-devel %{name} = %{version}
Summary: GLE includes and development libraries
Group: Development/Libraries

%description devel
Includes, man pages, and development libraries for the GLE Tubing and
Extrusion Library.

%prep
%setup -q -n gle-%{version}

%build
./configure
# Make it respect multilib and put man pages in the right place
# (nb: passing arguments to configure interacts badly with install)
for file in Makefile */Makefile; do
    sed -i.lib 's#libdir = .*#libdir = %{_libdir}#' $file
    sed -i.man 's#mandir = .*#mandir = %{_mandir}#' $file
    sed -i.usr 's#\([a-z]\) = /usr#\1 = \${prefix}#' $file
    sed -i.prefix 's#prefix = \${prefix}#prefix = /usr#' $file
done
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_usr} install

# Clean up a bit
rm $RPM_BUILD_ROOT%{_docdir}/gle/*.lsm
rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a
mv $RPM_BUILD_ROOT%{_docdir}/gle $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_docdir}/%{name}-%{version}/AUTHORS
%{_docdir}/%{name}-%{version}/COPYING*
%{_docdir}/%{name}-%{version}/README

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/GL/*
%{_mandir}/man3/*
%{_docdir}/%{name}-%{version}/examples/*
%{_docdir}/%{name}-%{version}/html/*


%changelog
* Tue Sep 29 2009 Mary Ellen Foster <mefoster at gmail.com> - 3.1.0-1
- Initial version, based on upstream .spec file
